cpw.mods.fml.client

## Class FMLConfigGuiFactory.FMLConfigGuiScreen

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - cpw.mods.fml.client.config.GuiConfig
      - - cpw.mods.fml.client.FMLConfigGuiFactory.FMLConfigGuiScreen

- Enclosing class:
    FMLConfigGuiFactory

      public static class FMLConfigGuiFactory.FMLConfigGuiScreen
      extends GuiConfig

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfig

      `allRequireMcRestart, allRequireWorldRestart, configElements, configID, entryList, initEntries, isWorldRunning, modID, needsRefresh, parentScreen, title, titleLine2`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLConfigGuiFactory.FMLConfigGuiScreen(GuiScreen parent)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfig

      `actionPerformed, drawScreen, drawToolTip, getAbridgedConfigPath, initGui, keyTyped, mouseClicked, mouseMovedOrUp, onGuiClosed, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, mouseClickMove, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLConfigGuiFactory.FMLConfigGuiScreen

          public FMLConfigGuiFactory.FMLConfigGuiScreen(GuiScreen parent)